%define fversion %{version}

Summary:	Free Audio Editor With Effects/Analysis Tools
Name:		audacity
Version: 	1.3.5
Release: 	%mkrel 3
License: 	GPLv2+
Group: 		Sound
URL: 		http://audacity.sourceforge.net/
Source0: 	http://prdownloads.sourceforge.net/%{name}/%{name}-src-%{fversion}.tar.bz2
Source1:	%{name}_16x16.png
Source2:	%{name}_32x32.png
Source3:	%{name}_64x64.png
Source4:	%{name}.sh
Patch:		audacity-src-1.3.4-beta-desktopentry.patch
Patch5:		audacity-system-libs.patch
Patch7:		audacity-external_portaudio.diff
Patch8:		audacity-1.3.5-CVE-2007-6061.patch
Patch9:		audacity-1.3.4-gcc43.patch
BuildRequires: 	autoconf2.5
BuildRequires:	fftw-devel >= 2.1.4
BuildRequires:	gettext-devel
BuildRequires: 	ImageMagick
BuildRequires: 	libalsa-devel
BuildRequires:  libflac++-devel
BuildRequires:  libid3tag-devel
BuildRequires:	libjpeg-devel
BuildRequires:  libmad-devel
BuildRequires:	libogg-devel
BuildRequires:  libsamplerate-devel
BuildRequires:	libsndfile-devel
BuildRequires:	libvorbis-devel
BuildRequires:	soundtouch-devel >= 1.3.0
BuildRequires:	speex-devel
BuildRequires:	portaudio-devel
#BuildRequires:	twolame-devel
BuildRequires:	wxgtku2.8-devel
BuildRequires: 	zlib-devel
#for compressing the help file:
BuildRequires:  zip
#gw if regenerating configure
BuildRequires: 	autoconf-archive
Obsoletes:	hackaudacity
Requires(post): shared-mime-info
Requires(postun): shared-mime-info
Requires(post):	desktop-file-utils
Requires(postun):desktop-file-utils
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Audacity is a program that lets you manipulate digital audio waveforms.

In addition to letting you record sounds directly from within the program,
it imports many sound file formats, including WAV, AIFF, MP3 and Ogg/Vorbis.
It supports all common editing operations such as Cut, Copy, and Paste, plus
it will mix tracks and let you apply plug-in effects to any part of a sound.
It also has a built-in amplitude envelope editor, a customizable spectrogram
mode and a frequency analysis window for audio analysis applications.

%prep

%setup -q -n %{name}-src-%{fversion}-beta
%patch -p1 -b .desktopentry
%patch5 -p1 -b .system-libs
%patch7 -p1 -b .portaudio
%patch8 -p1
%patch9 -p1 -b .gcc43

chmod 644 *.txt
aclocal
autoconf

%build
export PATH=$PATH:`pwd`
export LDFLAGS=-lz
export CFLAGS="%{optflags}"
export CXXFLAGS="%{optflags}"

./configure \
    --prefix=%{_prefix} \
    --libdir=%{_libdir} \
    --mandir=%{_mandir} \
    --enable-optimise \
    --enable-unicode \
    --with-vorbis=system \
    --with-libmad=system \
    --with-libsndfile=system \
    --with-libsamplerate \
    --with-id3tag=system \
    --with-soundtouch=system \
    --with-portmixer=system \
    --with-portaudio=system

#    --with-libtwolame=system \

%make

%install
rm -rf %{buildroot} %{name}.lang
%makeinstall_std

%find_lang %{name}

#icon
mkdir -p %{buildroot}/{%{_miconsdir},%{_liconsdir}}
convert -transparent white %{SOURCE1} %{buildroot}%{_miconsdir}/%{name}.png
convert -transparent white %{SOURCE2} %{buildroot}%{_iconsdir}/%{name}.png
cp %{SOURCE3} %{buildroot}%{_liconsdir}/%{name}.png

#clean uneeded installed but not packaged
rm -rf %{buildroot}%{_docdir}/%{name}

# install pasuspender script for audacity
mv %{buildroot}/%{_bindir}/audacity %{buildroot}/%{_bindir}/audacity.bin
install -m755 %{SOURCE4} %{buildroot}/%{_bindir}/audacity


%if %mdkversion < 200900
%post
%update_menus
%update_mime_database
%update_desktop_database
%endif

%if %mdkversion < 200900
%postun
%clean_menus
%clean_mime_database
%clean_desktop_database
%endif

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc LICENSE.txt README.txt
%{_bindir}/*
%{_iconsdir}/*.png
%{_liconsdir}/*.png
%{_miconsdir}/*.png
%{_datadir}/audacity
%{_datadir}/applications/%{name}.desktop
%{_datadir}/mime/packages/audacity.xml
%{_mandir}/man1/audacity.1*


%changelog
* Mon Jul 28 2008 Götz Waschk <waschk@mandriva.org> 1.3.5-3mdv2009.0
+ Revision: 251004
- switch from libresample to libsamplerate to fix bug #42277)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Wed May 21 2008 Oden Eriksson <oeriksson@mandriva.com> 1.3.5-2mdv2009.0
+ Revision: 209678
- bump release
- added a gcc43 patch from fedora

* Fri May 09 2008 Götz Waschk <waschk@mandriva.org> 1.3.5-1mdv2009.0
+ Revision: 204862
- new version
- drop patches 3,6
- rediff patch 8
- update build deps

* Thu Apr 03 2008 Gustavo De Nardin <gustavodn@mandriva.com> 1.3.4-6mdv2008.1
+ Revision: 192244
- security fix for CVE-2007-6061

* Wed Feb 20 2008 Götz Waschk <waschk@mandriva.org> 1.3.4-5mdv2008.1
+ Revision: 173164
- put back translations (bug #37935)

* Fri Feb 15 2008 Frederic Crozat <fcrozat@mandriva.com> 1.3.4-4mdv2008.1
+ Revision: 169023
- Add script to run audacity inside pasuspender if needed

* Wed Feb 13 2008 Götz Waschk <waschk@mandriva.org> 1.3.4-3mdv2008.1
+ Revision: 166939
- fix desktop entry (bug #37665)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Dec 09 2007 Funda Wang <fundawang@mandriva.org> 1.3.4-2mdv2008.1
+ Revision: 116690
- drop old menu

* Thu Nov 15 2007 Götz Waschk <waschk@mandriva.org> 1.3.4-1mdv2008.1
+ Revision: 108879
- new version
- drop patches 0,1,2,4
- rediff patch 5
- fix buildrequires
- build with wxWidgets 2.8

  + Oden Eriksson <oeriksson@mandriva.com>
    - fix build deps (portaudio-devel)
    - added P3,P4 from debian to make it find the right lame lib
    - added P5 from debian to make it use libresample and optionally libtwolame
      (twolame support is inactive in Mandriva).
    - added P6 from debian to not override CFLAGS
    - added P7 from debian to use external libportaudio
    - generally try to use use external libraries like soundtouch
    - fix build deps

* Fri May 18 2007 Götz Waschk <waschk@mandriva.org> 1.3.3-1mdv2008.0
+ Revision: 28074
- fix buildrequires
- new version
- update flac patch
- remove help file


* Tue Dec 12 2006 Götz Waschk <waschk@mandriva.org> 1.3.2-4mdv2007.0
+ Revision: 95230
- patch for new libflac

* Mon Nov 06 2006 Götz Waschk <waschk@mandriva.org> 1.3.2-3mdv2007.1
+ Revision: 76854
- fix French translation (bug #23469)

* Sun Nov 05 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.3.2-2mdv2007.1
+ Revision: 76690
- patch1: fix soundtouch build on non-x86(-64) archs

* Mon Oct 30 2006 Götz Waschk <waschk@mandriva.org> 1.3.2-1mdv2007.1
+ Revision: 73756
- new version
- drop merged patch 1
- drop obsolete source 4
- disable parallel make

* Sat Oct 14 2006 Götz Waschk <waschk@mandriva.org> 1.3.0-9mdv2006.0
+ Revision: 64568
- bot-friendly buildrequires
- Import audacity

* Sat Oct 14 2006 Gtz Waschk <waschk@mandriva.org> 1.3.0-8mdv2007.1
- unpack patches
- build fix

* Thu Jun 22 2006 Gtz Waschk <waschk@mandriva.org> 1.3.0-7mdv2007.0
- fix zh locale
- fix build
- xdg menu

* Fri Apr 28 2006 Gtz Waschk <waschk@mandriva.org> 1.3.0-6mdk
- upgrade portaudio to svn snapshot

* Fri Apr 28 2006 Gtz Waschk <waschk@mandriva.org> 1.3.0-5mdk
- compile with portaudio v19 (requested by Antoine Pitrou)

* Mon Jan 02 2006 Gtz Waschk <waschk@mandriva.org> 1.3.0-4mdk
- fix directory ownership

* Wed Dec 14 2005 Gtz Waschk <waschk@mandriva.org> 1.3.0-3mdk
- fix bug 20156 (help file location)

* Thu Dec 01 2005 Gtz Waschk <waschk@mandriva.org> 1.3.0-2mdk
- fix desktop entry

* Tue Nov 29 2005 Gtz Waschk <waschk@mandriva.org> 1.3.0-1mdk
- register mime types
- update file list
- unicode build
- drop patches
- New release 1.3.0

* Sun Aug 28 2005 Herton Ronaldo Krzesinski <herton@mandriva.com> 1.2.3-4mdk
- rebuild, removed use of %%configure2_5x as something behind it is causing
  audacity after built and installed to segfault while running on a new
  installation or while making access to the "Preferences" window, below is
  the error:

  (audacity:12866): Gtk-CRITICAL **: gtk_accel_label_new: assertion `string != NULL' failed

  (audacity:12866): Gtk-CRITICAL **: gtk_misc_set_alignment: assertion `GTK_IS_MISC (misc)' failed

  (audacity:12866): Gtk-CRITICAL **: gtk_container_add: assertion `GTK_IS_WIDGET (widget)' failed

  (audacity:12866): Gtk-CRITICAL **: gtk_accel_label_set_accel_widget: assertion `GTK_IS_ACCEL_LABEL (accel_label)' failed
  Segmentation fault

* Tue Jun 14 2005 Gtz Waschk <waschk@mandriva.org> 1.2.3-3mdk
- work around broken wx-config

* Wed Apr 27 2005 Gtz Waschk <waschk@mandriva.org> 1.2.3-2mdk
- rebuild for new wxGTK

* Fri Nov 19 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.2.3-1mdk
- New release 1.2.3

* Thu Nov 11 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.2.2-4mdk
- rebuild for new wxGTK

* Tue Oct 12 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2.2-3mdk
- C++ fixes
- parallel make now works it seems

* Wed Sep 01 2004 Stew Benedict <sbenedict@mandrakesoft.com> 1.2.2-2mdk
- new icons from Andr Pascual, Pierre Jarillon (bugzilla #10792)

* Fri Aug 27 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.2.2-1mdk
- patch2: fix some missing headers
- drop patch 0
- New release 1.2.2

* Thu Aug 19 2004 Stew Benedict <sbenedict@mandrakesoft.com> 1.2.1-4mdk
- enhanced large icon (Fabien ILLIDE)

* Tue Aug 17 2004 Stew Benedict <sbenedict@mandrakesoft.com> 1.2.1-3mdk
- make icons transparent (bugzilla #10792)

* Tue Jun 08 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.2.1-2mdk
- patch for new g++

* Mon May 10 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.2.1-1mdk
- New release 1.2.1

* Thu Apr 29 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.2.0-2mdk
- fix build with wxGTK 2.5.1 (pangelo[at]dcc[dot]online.pt)

* Tue Mar 02 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.2.0-1mdk
- new version

* Wed Feb 11 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.2.0-0.pre4.1mdk
- drop patch 3
- new version

